import "../../chunks/chunk.QU3DSPNU.js";
import { tokens } from "../../tokens.style.js";
import { TransitionalStyles } from "../../utils/transitional-styles/transitional-styles.js";
import * as Calendar from "../calendar/calendar.trans.styles.js";
import * as Dropdown from "../dropdown/dropdown.trans.styles.js";
import * as Popover from "../popover/popover.trans.styles.js";
import styles from "./datepicker.trans.styles.scss.js";
function register() {
  const tokensAndStyles = styles.toString() + tokens.reduce((acc, token) => acc + token.cssText, "");
  TransitionalStyles.instance.register(
    "gds-datepicker",
    tokensAndStyles.toString()
  );
  Dropdown.register();
  Popover.register();
  Calendar.register();
}
var datepicker_trans_styles_default = register;
export {
  datepicker_trans_styles_default as default,
  register
};
